from django.db import models

# Create your models here.
class User(models.Model):
    """用户模型，用于登录和账户管理"""
    email = models.EmailField(max_length=255, unique=True, verbose_name="电子邮箱")
    password = models.CharField(max_length=255, verbose_name="密码")
    company = models.CharField(max_length=255, blank=True, null=True, verbose_name="公司名称")
    name = models.CharField(max_length=255, blank=True, null=True, verbose_name="用户姓名")
    is_first_login = models.BooleanField(default=True, verbose_name="是否首次登录")
    last_login = models.DateTimeField(blank=True, null=True, verbose_name="最近登录时间")

    # 时间戳
    created_at = models.DateTimeField(auto_now_add=True, verbose_name="创建时间")
    updated_at = models.DateTimeField(auto_now=True, verbose_name="更新时间")

    class Meta:
        verbose_name = "用户"
        verbose_name_plural = verbose_name
        db_table = "users"

    def __str__(self):
        return self.email
